# AuditService | windmill-client
Documentation for windmill-client

# Class AuditService

- Defined in src/services.gen.ts:59

#####
Index

### Constructors

constructor

### Methods

getAuditLog
listAuditLogs

##
Constructors

### constructor

- new AuditService(): AuditService

- #### Returns AuditService

##
Methods

### `Static` getAuditLog

- getAuditLog(data): CancelablePromise < AuditLog >

- get audit log (requires admin privilege)

  #### Parameters

  - data: GetAuditLogData

    The data for the request.

  #### Returns CancelablePromise < AuditLog >

  AuditLog an audit log

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:68

### `Static` listAuditLogs

- listAuditLogs(data): CancelablePromise < ListAuditLogsResponse >

- list audit logs (requires admin privilege)

  #### Parameters

  - data: ListAuditLogsData

    The data for the request.

  #### Returns CancelablePromise < ListAuditLogsResponse >

  AuditLog a list of audit logs

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:94